> ## Documentation Index
> Fetch the complete documentation index at: https://auth0-actions-triggers-prototype.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Link

> Deprecated endpoint for linking user accounts; use the Management API instead.

## Endpoint

`GET /authorize`

<Callout icon="file-lines" color="#0EA5E9" iconType="regular">
  This endpoint is **deprecated** for account linking. The [POST /api/v2/users/{id}/identities](/api/management/v2/users/post-identities) should be used instead. For more information refer to the [Migration Notice](/migrations/past-migrations#account-linking-removal).
</Callout>

Call this endpoint when a user wants to link a second authentication method (for example, a user/password database connection, with Facebook).

This endpoint will trigger the login flow to link an existing account with a new one. This will return a 302 redirect to the `connection` that the current user wants to add. The user is identified by the Access Token that was returned on login success.

### Remarks

* The `redirect_uri` value must be specified as a valid callback URL under your [Application's Settings](https://manage.auth0.com/dashboard).

### Learn More

* [Link User Accounts](https://auth0.com/docs/manage-users/user-accounts/user-account-linking/link-user-accounts)
* [Link User Accounts Initiated by Users Scenario](http://auth0.com/docs/users/references/link-accounts-user-initiated-scenario)
* [Link User Accounts Server-Side Scenario](https://auth0.com/docs/ja-jp/manage-users/user-accounts/user-account-linking/suggested-account-linking-server-side-implementation)

## Query Parameters

<ParamField query="response_type" type="string" required>
  Use `code` for server side flows, `token` for client side flows.
</ParamField>

<ParamField query="client_id" type="string" required>
  The `client_id` of your application.
</ParamField>

<ParamField query="connection" type="string">
  The name of the connection configured to your application. If null, it will redirect to [Auth0 Login Page](https://auth0.com/#/login_page) and show the Login Widget using the first database connection.
</ParamField>

<ParamField query="redirect_uri" type="string" required>
  The URL to which Auth0 will redirect the browser after authorization has been granted by the user.
</ParamField>

<ParamField query="access_token" type="string" required>
  The logged-in user's Access Token.
</ParamField>

## Response Messages

| Status | Description                                 |
| ------ | ------------------------------------------- |
| 302    | Redirect to connection for linking accounts |
